//
//  HyXenProMeADBannerViewDelegate.h
//  adWhilrSDK_iOS
//
//  Created by  on 2012/2/2.
//  Copyright (c) 2012年 Hyxen Tech Inc.. All rights reserved.
//

#import <Foundation/Foundation.h>
#import <CoreLocation/CoreLocation.h>

@class HyXenProMeADBannerView;
@class HyxenProMeADRequestError;
@class HyxenAdLocusError;
@protocol HyXenProMeADBannerViewDelegate <NSObject>

@optional

- (UIViewController *)viewControllerForPresentingModalView;

-(NSString *)hyxenADAppKey;

// Sent when an ad request loaded an ad.  This is a good opportunity to add this
// view to the hierarchy if it has not yet been added.  If the ad was received
// as a part of the server-side auto refreshing, you can examine the
// hasAutoRefreshed property of the view.
- (void)adViewDidReceiveAd:(HyXenProMeADBannerView *)view;



-(void)adViewDidFailToReceiveAd:(HyXenProMeADBannerView *)view;
-(void)adViewDidFailToReceiveAd:(HyXenProMeADBannerView *)view andError:(HyxenAdLocusError *)error;
// Sent when an ad request failed.  Normally this is because no network
// connection was available or no ads were available (i.e. no fill).  If the
// error was received as a part of the server-side auto refreshing, you can
// examine the hasAutoRefreshed property of the view.
- (void)adView:(HyXenProMeADBannerView *)view
didFailToReceiveAdWithError:(HyxenProMeADRequestError *)error;

/**
 * These notifications will let you know when a user is being shown a full screen
 * webview canvas with an ad because they tapped on an ad.  You should listen to
 * these notifications to determine when to pause/resume your game--if you're
 * building a game app.
 */
- (void)adWillPresentFullScreenModal;
- (void)adDidDismissFullScreenModal;



#pragma mark behavior configurations
//選擇性，使您的廣告更精準投放
-(CLLocation *)locationInfo;


//選擇性，若您尚在測試請回傳YES
- (BOOL)testMode;


- (NSString *)gender; // user's gender (e.g. @"1" is Male or @"2" is Female)


- (NSNumber *)age;




@end