//
//  AdLocusInterstitialAdapter.m
//  MediationBannerSample
//
//  Created by Jack on 2014/4/28.
//  Copyright (c) 2014年 HyXen. All rights reserved.
//

#import "AdLocusInterstitialAdapter.h"

@implementation AdLocusInterstitialAdapter

- (void)requestInterstitialAdWithParameter:(NSString *)serverParameter label:(NSString *)serverLabel request:(GADCustomEventRequest *)request
{
    self.hyxenAppKey = serverParameter;
    
    if (!self.hyxenInterstitialView)
    {
        self.hyxenInterstitialView = [[HyxenProMeADInterstitial alloc] init];
        [self.hyxenInterstitialView setInterstitialAnimationType:AdLocusInterstitialAnimationTypeFadeIn];   //設定廣告出現時的動畫
        self.hyxenInterstitialView.delegate = self;
    }

    [self.hyxenInterstitialView requestAdViewWithDelegate:self];
}

- (void)presentFromRootViewController:(UIViewController *)rootViewController
{
    [rootViewController.view addSubview:self.hyxenInterstitialView];
}

#pragma mark - AdLocus Intersititial Delegate

//  If you're on test, please return it.
- (BOOL)testMode
{
    return NO;
}

- (NSString *)hyxenAdInterstitialKey
{
    return self.hyxenAppKey;
}

- (void)interstitialDidReceiveAd:(HyxenProMeADInterstitial *)interstitial
{
    [self.delegate customEventInterstitial:self didReceiveAd:self.hyxenInterstitialView];
}

- (void)interstitialDidFailToReceiveAd:(HyxenProMeADInterstitial *)interstitial andError:(HyxenAdLocusError *)error
{
    [self.delegate customEventInterstitial:self didFailAd:(NSError *)error];
}

- (void)dealloc
{
    [super dealloc];
    self.delegate = nil;
    [_hyxenAppKey release];
    [_hyxenInterstitialView release];
}
@end
