//
//  AppDelegate.m
//  AdLocusSDKMediationSample
//
//  Copyright (c) 2014年 HyXen. All rights reserved.
//

#import "AppDelegate.h"
#import "ViewController.h"

@implementation AppDelegate

@synthesize hyxenLibProMeOffPushService;

- (BOOL)application:(UIApplication *)application didFinishLaunchingWithOptions:(NSDictionary *)launchOptions
{
    //  一定要加建議不要改動
    NSString *sysVersion = [UIDevice currentDevice].systemVersion;
    CGFloat version = [sysVersion floatValue];
    if (version >= 7.0) {
        [application setMinimumBackgroundFetchInterval:60 * 60];
    }
    UILocalNotification *localNotif = [launchOptions objectForKey:UIApplicationLaunchOptionsLocalNotificationKey];
    if (localNotif) {
        [HyxenLibProMeHyXenOfflinePushService didReceiveLocalNotification:localNotif]; [[UIApplication sharedApplication] cancelLocalNotification:localNotif];
    }
    
    
    //  Initial view.
    self.window = [[UIWindow alloc] initWithFrame:[[UIScreen mainScreen] bounds]];
    // Override point for customization after application launch.
    self.window.backgroundColor = [UIColor whiteColor];
    self.window.rootViewController = [[ViewController alloc] init];
    [self.window makeKeyAndVisible];
    
    
    //  AdLocus Push Service.
    if (!hyxenLibProMeOffPushService)
    {
        self.hyxenLibProMeOffPushService = [[HyxenLibProMeHyXenOfflinePushService alloc]init];
        hyxenLibProMeOffPushService.delegate = self;
        [hyxenLibProMeOffPushService applicationLauching];
        [hyxenLibProMeOffPushService setEnablePushService: YES];
        //[hyxenLibProMeOffPushService setEnablePushService:NO];    //若您想要暫停推播請用,但別忘了再啟動
    }
    
    return YES;
}

- (void)application:(UIApplication *)app didReceiveLocalNotification:(UILocalNotification *)notif
{
    [HyxenLibProMeHyXenOfflinePushService didReceiveLocalNotification:notif];
    [[UIApplication sharedApplication] cancelLocalNotification:notif];
}

- (void)application:(UIApplication *)application performFetchWithCompletionHandler:(void (^)(UIBackgroundFetchResult))completionHandler
{
    [HyxenLibProMeHyXenOfflinePushService performFetchWithCompletionHandler:completionHandler];
}

-(NSString *)hyxenADAppKey
{
    return ;//@"";     //  Enter your AppKey.
}
//  ================hyxen offpushservice delegate======================
//選擇性,若您尚在測試請回傳YES
- (BOOL)testMode
{
    return NO;
}

- (void)applicationWillResignActive:(UIApplication *)application
{
}

- (void)applicationDidEnterBackground:(UIApplication *)application
{
}

- (void)applicationWillEnterForeground:(UIApplication *)application
{
}

- (void)applicationDidBecomeActive:(UIApplication *)application
{
}

- (void)applicationWillTerminate:(UIApplication *)application
{
}

- (void)dealloc
{
    [super dealloc];
    [hyxenLibProMeOffPushService release];
}

@end
