//
//  ViewController.m
//  AdLocusSDKMediationSample
//
//  Copyright (c) 2014年 HyXen. All rights reserved.
//

#import "ViewController.h"


@implementation ViewController

- (id)initWithNibName:(NSString *)nibNameOrNil bundle:(NSBundle *)nibBundleOrNil
{
    self = [super initWithNibName:nibNameOrNil bundle:nibBundleOrNil];
    if (self) {
        // Custom initialization
    }
    return self;
}

- (void)didReceiveMemoryWarning
{
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}

- (void)viewDidLoad
{
    [super viewDidLoad];
    
    [self setAdMobMediationBanner];
    [self setAdMobMediationInterstitial];
}

- (void)setAdMobMediationBanner
{
    //  Set banner at bottom of view.
    CGPoint atBottom = CGPointMake(0, CGRectGetHeight(self.view.frame) - CGSizeFromGADAdSize(kGADAdSizeBanner).height);
    self.adBanner = [[GADBannerView alloc] initWithAdSize:kGADAdSizeBanner origin:atBottom];
    
    //  Base Setting.
    self.adBanner.adUnitID = ;//@"";   //  Enter your adUnitID.
    self.adBanner.delegate = self;
    [self.adBanner setRootViewController:self];
    
    //  Put banner on view.
    [self.view addSubview:self.adBanner];
    
    //  Send Ad request.
    [self.adBanner loadRequest:[self newGADRequest]];
}

- (void)setAdMobMediationInterstitial
{
    //  GAD Interstitial.
    self.interstitial = [[GADInterstitial alloc] init];
    self.interstitial.adUnitID = ;//@"";   //  Enter your adUnitID.
    self.interstitial.delegate = self;
    [self.interstitial loadRequest:[self newGADRequest]];
}

- (GADRequest *)newGADRequest
{
    GADRequest *request = [GADRequest request];
    //  Set this device for test,
    //	you can call "presentFromRootViewController:" to present any time.
    request.testDevices = @[@"//You test device ID."];
    return request;
}

#pragma mark - GADBannerView Deleagate

- (void)adViewDidReceiveAd:(GADBannerView *)view
{
    NSLog(@"Receive AdLocus AD.");
}

- (void)adView:(GADBannerView *)view didFailToReceiveAdWithError:(GADRequestError *)error
{
    NSLog(@"Failed to receive AD  : %@", error);
}

- (void)adViewWillPresentScreen:(GADBannerView *)adView
{
    
}

- (void)adViewWillDismissScreen:(GADBannerView *)adView
{
    
}

- (void)adViewWillLeaveApplication:(GADBannerView *)adView
{
    
}

#pragma GADInterstitial Delegate

- (void)interstitialDidReceiveAd:(GADInterstitial *)ad
{
    //  This means your interstitial Ad is ready, you can call "presentFromRootViewController:" to present.
    [self.interstitial presentFromRootViewController:self]; //  Present interstitial Ad.
}

- (void)interstitial:(GADInterstitial *)ad didFailToReceiveAdWithError:(GADRequestError *)error
{
    NSLog(@"Failed to receive : %@", error.localizedDescription);
}

- (void)interstitialWillPresentScreen:(GADInterstitial *)ad
{
    
}

- (void)interstitialWillDismissScreen:(GADInterstitial *)ad
{
    
}

- (void)interstitialDidDismissScreen:(GADInterstitial *)ad
{
    
}

- (void)interstitialWillLeaveApplication:(GADInterstitial *)ad
{
    
}

- (void)dealloc
{
    [super dealloc];
    [_adBanner release];
    [_interstitial release];
}


@end
